<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::PatchSurface Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830">AUTO_LEVEL</a> enum value</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#720b670d73970bb3970dc6d4e190ba2e">build</a>(HardwareVertexBufferSharedPtr destVertexBuffer, size_t vertexStart, HardwareIndexBufferSharedPtr destIndexBuffer, size_t indexStart)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#be4bf8a170882c83e44a90a2850ace92">defineSurface</a>(void *controlPointBuffer, VertexDeclaration *declaration, size_t width, size_t height, PatchSurfaceType pType=PST_BEZIER, size_t uMaxSubdivisionLevel=AUTO_LEVEL, size_t vMaxSubdivisionLevel=AUTO_LEVEL, VisibleSide visibleSide=VS_FRONT)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#7cd7c409a9bb692b378713a5946ddc5a">distributeControlPoints</a>(void *lockedBuffer)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#ad80e2f264b3e20629deebb47ae71958">findLevel</a>(Vector3 &amp;a, Vector3 &amp;b, Vector3 &amp;c)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#0ee794700ee2c26e346faca7db7175ff">getAutoULevel</a>(bool forMax=false)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#ee500e63eb5c23fa22e06d9dc54b0e9c">getAutoVLevel</a>(bool forMax=false)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#5c07a906a6491a9e6d82eab411ff75b1">getBoundingSphereRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#086edd7093fc76344163e6854529e91c">getBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#d3a4316d8594bbc7173a26703bdab2b1">getControlPointBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#c7a508c760e11ebd6372862a6195fb24">getCurrentIndexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#b83c4281f95bb02b8cbb4b41f97b9e2e">getIndexOffset</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#01008aa0fe032f9c7e186bf0c484b05f">getRequiredIndexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#f2019f15e76e24b8ff3a55d80c934995">getRequiredVertexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#e42e723e8025e519608efceac1200640">getSubdivisionFactor</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#c545ac395017801a17d0e421d0e50101">getVertexOffset</a>(void) const </td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#7975569434015d84643b5af41cea92eb">interpolateVertexData</a>(void *lockedBuffer, size_t leftIndex, size_t rightIndex, size_t destIndex)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#2da824a653e19ad4b6196725e462c192">mAABB</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#abf219fe8c94bbd9fca97a2b9d7b2ce5">makeTriangles</a>(void)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#f487823bcd4b0fc386b426599c7b19cf">mBoundingSphere</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#bc9fc2a6c93d26afce8e12f20a5ae36a">mControlPointBuffer</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#495d1ea0cc206d5be6fd2b1376534903">mCtlCount</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#c6ccdf6c36e9e75bdd71455292bfb210">mCtlHeight</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#223697279c497602e1338134782c9691">mCtlWidth</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#fa053936dd43a2856e64cd4c39e21d73">mCurrIndexCount</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#437c71a16caed7a552d5de325323f7a3">mDeclaration</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#dd834eb17f4476747c73d30c42c40ad8">mIndexBuffer</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#b20d64e316e68c29df2e0feacd8ce82c">mIndexOffset</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#7263e6acf1fc55ecd2bb772c471a2924">mMaxULevel</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#d253e0f7299f615d5f6603eb788a27db">mMaxVLevel</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#5b31d465366d1856ab5f7a811cd3907f">mMeshHeight</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#4077a4271389af7bc4ec9e807bf91cde">mMeshWidth</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#8f7f0bb8ee32d786e94a2d58c5d1cc47">mRequiredIndexCount</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#540444f2d390279342b950e34651e5c8">mRequiredVertexCount</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#d7bed3b4c073e58963c4f518824dc213">mSubdivisionFactor</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#8eb452f175ed459c32224a24c4111091">mType</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#0292f4963f60a974876a8185de206d7f">mULevel</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#d9a91befebe2cbc4a4b845d8f28b9b89">mVecCtlPoints</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#b71020e960b8f454f02ac7008ff8f149">mVertexBuffer</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#947c6821f4d14e3983e5f8e702ee1ba1">mVertexOffset</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#de1780fa07ac3eb2cd77a1e4e7effd48">mVLevel</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#eb543caba5713a3468d87c147873a35c">mVSide</a></td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#41fb9a71633f5658bac6c83403f46a43">notifyControlPointBufferDeallocated</a>(void)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#d5d1bb1850a1b30a1bc786b20a135ea6">PatchSurface</a>()</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e278">PatchSurfaceType</a> enum name</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#bedf8abe8fa9fb9b1b7cff118cd2e2783018de74c08da01f0eeea0f1445f1c8e">PST_BEZIER</a> enum value</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#3322b21075ac2e34395e35da3e9025bd">setSubdivisionFactor</a>(Real factor)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#e8a75db9b7723a1fac7f06bd23df654f">subdivideCurve</a>(void *lockedBuffer, size_t startIdx, size_t stepSize, size_t numSteps, size_t iterations)</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">VisibleSide</a> enum name</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee644ea2565457231655d0dea56da799ec">VS_BACK</a> enum value</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeea4aa50d12e90df02c8d549e85d365eaa">VS_BOTH</a> enum value</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2">VS_FRONT</a> enum value</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PatchSurface.html#374e4bdaaa553a7d3317da1fb36eca87">~PatchSurface</a>()</td><td><a class="el" href="classOgre_1_1PatchSurface.html">Ogre::PatchSurface</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:46 2008
</p>
</body>
</html>
